Results 1 to 3 of 3

Thread: When trying to run "zypper dup" it tells me that 2044 elements are locked.

  1. #1

    Default When trying to run "zypper dup" it tells me that 2044 elements are locked.

    Hello!

    First time posting here, so I hope I posted in the right section. Otherwise _do tell me_ where I should have posted it.

    I recently installed Tumbleweed with Gnome and holy heck it's great. I uninstalled a couple of different programs that I didn't need and I also tabooed them, to make sure they wouldn't try to reinstall when I updated. I uninstalled and tabooed the following packages and patterns (with yast!):
    • xorg-x11-Xvnc
    • tigervnc-x11vnc
    • tigervnc
    • patterns-gnome-gnome-games
    • patterns-games
    • gnome-shell-search-provider-bijiben
    • bijiben-lang
    • bijiben


    After doing this i went on and performed a
    Code:
    # zypper dup
    and it returned the following:

    Code:
    The following 2044 elements are locked and wont be changed by any action:
    Avaible:
    bijiben bijiben-lang gnome-shell-search-provider-bijiben patterns-games-games
    patterns-gnome-gnome_games tigervnc tigervnc-x11vnc xorg-x11-Xvnc
    Installed:
    ---many packages ---- (read: Of course it didn't actually say that)
    .... and 1936 further elements
    
    Run 'zypper locks -s' for a complete list of locked elements
    
    Nothing to do
    (excuse me for mis-translations, my system is in danish, so I'm not 100% what it would have said in english!)

    Now my question is if it's supposed to be this way? Or does it mean I borked something and now wont update properly? I have tried running
    Code:
    zypper dup
    for the last couple of days and I would have imagined something would have gotten an update in this

    Thank you
    rtbj

    (and thank you to everyone who contributed to this project. It seems like a really nice distribution. Everything is pretty polished, no funny business and still manages to be so up to date that it tickles my "shiny new stuff" syndrome. I will definitely be looking into getting Leap on my server when I get zypper and yast figured out.)

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,608
    Blog Entries
    3

    Default Re: When trying to run "zypper dup" it tells me that 2044 elements are locked.

    2044 locks seems like a mistake. I'm not sure how it got that way.

    You can examine the file "/etc/zypp/locks". That should be readable by all, and is a list of the locked packages.

    If you want to remove all locks, then
    Code:
    cp /dev/null /etc/zypp/locks
    should do that (but you need to be root for that command). Just removing that "locks" file probably also works.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  3. #3

    Default Re: When trying to run "zypper dup" it tells me that 2044 elements are locked.

    Quote Originally Posted by nrickert View Post
    2044 locks seems like a mistake. I'm not sure how it got that way.

    You can examine the file "/etc/zypp/locks". That should be readable by all, and is a list of the locked packages.

    If you want to remove all locks, then
    Code:
    cp /dev/null /etc/zypp/locks
    should do that (but you need to be root for that command). Just removing that "locks" file probably also works.
    Ah perfect! I executed a
    # mv locks locks.old
    Went into yast and tabooed the stuff I didn't want again and that fixed it!

    Thanks a lot!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •